#1379 Matrix Pitch Bend Ruler - segfault on SHIFT

Future Release
closed
nobody
None
1
2015-08-31
2013-01-05
Lorenzo
No

Related

Bugs: #1379

Discussion

  • Lorenzo

    Lorenzo - 2013-01-05

    In Matrix or Notation Editor:
    - Open a Pitch Bend ruler
    - Select draw tool
    - In pitch bend ruler click and create a point
    - SHIFT + click to creat a ramp

    Rosegarden segfaults.
    E.g. This is printed if run from a terminal:

    MatrixScene: caught useful selection change from ruler
    control ruler updating selection
    MatrixScene: caught useful selection change from ruler
    ControllerEventsRuler::addControlLine()Drawing a line from origin time: 11100 to 11490 rising from: 16219 to 8191 with a rise of: -8028 and run of: 390
    intermediate value: 16218
    intermediate value: 16195

    [... similar output with different numbers follows ... ]

    intermediate value: 8292
    intermediate value: 8267
    Segmentation fault

    Haven't managed to find a criteria, but would say that this happend 90% of times a ramp is entered this way.

     
    Last edit: Lorenzo 2013-01-05
  • D. Michael McIntyre

    I can get a crash 100% of the time doing the following:

    1. Create segment
    2. Open in an editor
    3. Create pitchbend ruler
    4. Click shift+click to draw a diagonal line
    5. Click shift+click somewhere in the original line to attempt to redraw some of it

    There are probably other ways too. The bottom line is the line of controllers thing on the pitch bend ruler is so likely to cause a crash that it's almost useless.

    On the other hand, it's been this way ever since 10.02, and that doesn't really impact users very much, based on the low level of complaints.

    It's worth fixing, but there's no real hurry.

     
  • D. Michael McIntyre

    • Group: None --> Future Release
     
  • Tito Latini

    Tito Latini - 2015-08-27

    The attached patch fixes the bug by using two macro commands,
    one to remove and one to insert.

     
    Attachments
  • D. Michael McIntyre

    That performs beautifully! I went back to the test procedure I documented above and repeated it several times in a row without any crashes. It's slow to recalculate on a quad core 3 GHz machine, but when the new controllers finally show up, they're as expected, and without breakage. Good deal. Commited in 14083.

     
  • D. Michael McIntyre

    • status: open --> closed
     
    • Lorenzo

      Lorenzo - 2015-08-31

      Well done guys! Haven't had a chance to test this but really sounds
      promising.
      Lorenzo.

      On 31/08/2015 04:40, D. Michael McIntyre wrote:

      • status: open --> closed

      [bugs:#1379] Matrix Pitch Bend Ruler - segfault on SHIFT

      Status: closed
      Group: Future Release
      Created: Sat Jan 05, 2013 12:25 PM UTC by Lorenzo
      Last Updated: Mon Aug 31, 2015 02:37 AM UTC
      Owner: nobody


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/rosegarden/bugs/1379/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1379

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks